summaryrefslogtreecommitdiff
path: root/bin/delete-packages
diff options
context:
space:
mode:
Diffstat (limited to 'bin/delete-packages')
-rwxr-xr-xbin/delete-packages6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/delete-packages b/bin/delete-packages
index 124e403..f95fb8e 100755
--- a/bin/delete-packages
+++ b/bin/delete-packages
@@ -77,19 +77,19 @@ if ! ${no_action}; then
exec 9> "${build_list_lock_file}"
if ! flock ${block_flag} 9; then
>&2 echo 'come back (shortly) later - I cannot lock build list.'
- exit 1
+ exit 0
fi
exec 8> "${package_database_lock_file}"
if ! flock ${block_flag} 8; then
>&2 echo 'come back (shortly) later - I cannot lock package database.'
- exit 1
+ exit 0
fi
exec 7> "${sanity_check_lock_file}"
if ! flock -s ${block_flag} 7; then
>&2 echo 'come back (shortly) later - sanity-check running.'
- exit 1
+ exit 0
fi
fi